Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/compliance/contact-eligibility \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"caseId": "case_HBR_COL_51",
"customerId": "cus_72P0MAYA",
"loanId": "loan_harbor_7X2K",
"channel": "voice",
"purpose": "collections",
"contactPointId": "cp_MAYA_MOBILE_1",
"requestedAt": "2027-05-01T10: 11 : 58 -07: 00 "
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/compliance/contact-eligibility` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"caseId": "case_HBR_COL_51",
"customerId": "cus_72P0MAYA",
"loanId": "loan_harbor_7X2K",
"channel": "voice",
"purpose": "collections",
"contactPointId": "cp_MAYA_MOBILE_1",
"requestedAt": "2027-05-01T10: 11 : 58 -07: 00 "
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/compliance/contact-eligibility" ,
headers={"Authorization" : f"Bearer {token}" , "Idempotency-Key" : idempotency_key},
json={
"caseId": "case_HBR_COL_51",
"customerId": "cus_72P0MAYA",
"loanId": "loan_harbor_7X2K",
"channel": "voice",
"purpose": "collections",
"contactPointId": "cp_MAYA_MOBILE_1",
"requestedAt": "2027-05-01T10: 11 : 58 -07: 00 "
},
)200 401 403 409 422 429
{
"decisionId": "dec_CONTACT_81",
"outcome": "allowed",
"localTime": "2027-05-01T10: 11 : 58 -07: 00 ",
"contactBudget": {
"attemptsRemaining": 3 ,
"windowEndsAt": "2027-05-05T23: 59 : 59 -07: 00 "
},
"blockingRestrictions": []
}{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401 ,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403 ,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409 ,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422 ,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429 ,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}